Description

The vertical and horizontal spreads of all player hitscan weapons and also Heretic's Crossbow, in all games currently don't take the
ability to look up and down into consideration. They are done in 2D regardless of the players firing angle.

Melee hitscan attacks in all games also completely ignore the players firing angle and always aim straight forward.

For instance, if the player fires the DB Shotgun in Doom2 upward, the line attacks are all on top of each other, rather than spread out
as they would be if the player fires the weapon forward. The spread reduces depending on how sharp a vertical angle it is fired at.

Of course, there may also be secondary effects to consider on some weapons; for instance the ripper missiles spawned by Heretic's
powered up Dragon Claw always spawn at the same angle regardless of the angle the primary shot was fired at.

Also regarding Heretic, though | suppose this one is actually a bug; the stream of fire from the powered up Phoenix Rod can only be
aimed up to 45 degrees (i.e as far as one could look in Vanilla Heretic). If the player is looking at an angle sharper than 45 degrees,
the steam still spawns at the 45 degrees.

The point of this RFE is to request an optional enhancement to make player weapons function in 3D?

Labels: weapons 3d

Related issues:

Related to Feature #1581: Melee attacks affected by looking up/down Rejected 2012-04-18
Related to Feature #1604: Game rules (1p and MP) New

Related to Bug #388: Missile speeds (steep vertical angles) New 2006-12-18
History

#1 - 2013-10-16 12:52 - vermil

Sorry, | meant to write 'stream’, not 'steam’, in reference to the Phoenix Rod above.

#2 - 2013-10-16 14:16 - skyjake

- Description updated

#3 - 2013-10-22 12:59 - skyjake
- Tags set to Gameplay

- Subject changed from 3d weapon behaviour to 3D weapon behaviour

#4 - 2017-04-03 15:02 - skyjake

- Target version set to Modding
